Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Debit-Notice

  • Endpoint: POST /Debit-Notice
  • Tags: Indonesia SNAP

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 32Merchant identifier that is unique per each merchant
originalPartnerReferenceNostringYesmaxLength: 64Original transaction identifier on partner system
originalReferenceNostringYesmaxLength: 64Original transaction identifier on Payermax system
originalExternalIdstringNomaxLength: 32Original external identifier on header message
amountobjectNoNet amount of the transaction additionalInfo.notifyType=PAYMENT: transaction amount additionalInfo.notifyType=REFUND: refund amount
amount.valuenumberYesTransaction amount
amount.currencystringYesmaxLength: 3Transaction currency
latestTransactionStatusstringYesmaxLength: 2additionalInfo.notifyType=PAYMENT: 00 = Success, the order has been paid 05 = Cancelled, the order has been closed because it is expired 06 = Failed, the order has been failed additionalInfo.notifyType=REFUND: 00 = Success, the order has been refunded 06 = Failed, the order has been failed
transactionStatusDescstringNomaxLength: 64Description of transaction status
createdTimestringYesmaxLength: 25Transaction created time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX
finishedTimestringYesmaxLength: 25Transaction finished time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX
externalStoreIDstringNomaxLength: 64Store identifier to indicate to which store this payment belongs to
additionalInfoobjectYesAdditional information
additionalInfo.notifyTypestringYesmaxLength: 16Notification Type. values: PAYMENT/REFUND

Responses

200

Response Example

json
{
  "originalPartnerReferenceNo": "2020102900000000000001",
  "originalReferenceNo": "2020102977770000000009",
  "originalExternalId": "30443786930722726463280097920912",
  "merchantId": "23489182303312",
  "subMerchantId": "23489182303312",
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "latestTransactionStatus": "00",
  "transactionStatusDesc": "success",
  "createdTime": "2020-12-21T17:07:18+07:00",
  "finishedTime": "2020-12-21T17:07:20+07:00",
  "externalStoreId": "91863213913112",
  "additionalInfo": {
    "notifyType": "PAYMENT"
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.